org.jbpm.workflow.instance.node

## Class AsyncEventNodeInstance

- java.lang.Object
- - org.jbpm.workflow.instance.impl.NodeInstanceImpl
  - - org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl
    - - org.jbpm.workflow.instance.node.EventNodeInstance
      - - org.jbpm.workflow.instance.node.AsyncEventNodeInstance

- All Implemented Interfaces:
    Serializable, EventBasedNodeInstanceInterface, EventNodeInstanceInterface, org.kie.api.runtime.process.NodeInstance

      public class AsyncEventNodeInstance
      extends EventNodeInstance

  Runtime counterpart of an event node.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `NodeInstanceImpl.NodeInstanceTrigger`

    - ### Nested classes/interfaces inherited from interface org.jbpm.workflow.instance.NodeInstance

      `NodeInstance.CancelType`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `cancelType, dynamicParameters, slaCompliance, slaDueDate, slaTimerId, triggerTime, UNIQUE_ID`

    - ### Fields inherited from interface org.jbpm.workflow.instance.NodeInstance

      `METADATA_WRAP_ASYNC_NODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsyncEventNodeInstance()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.kie.api.runtime.process.EventListener` | `getEventListener()`
    `String` | `getEventType()`
    `protected org.kie.api.runtime.process.NodeInstance` | `getFrom()`
    `org.kie.api.definition.process.Node` | `getNode()`
    `void` | `internalTrigger(org.kie.api.runtime.process.NodeInstance from, String type)`
    `void` | `setEventType(String eventType)`
    `void` | `triggerCompleted()`

    - ### Methods inherited from class org.jbpm.workflow.instance.node.EventNodeInstance

      `addEventListeners, addTimerListener, cancel, configureSla, getEventNode, handleSLAViolation, removeEventListeners, removeTimerListeners, signalEvent, triggerCompleted`

    - ### Methods inherited from class org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl

      `getExtendedNode, handleAssignment, mapOutputSetVariables, mapOutputSetVariables, triggerCompleted, triggerCompleted, triggerEvent`

    - ### Methods inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `cancel, executeAction, followConnection, getCancelType, getExecutionErrorHandler, getId, getLevel, getMetaData, getMetaData, getNodeId, getNodeInstanceContainer, getNodeName, getProcessInstance, getSlaCompliance, getSlaDueDate, getSlaTimerId, getTriggerTime, getUniqueId, getVariable, internalSetSlaCompliance, internalSetSlaDueDate, internalSetSlaTimerId, isAborted, isInversionOfControl, resolveContext, resolveContextInstance, retrigger, setAborted, setDynamicParameters, setId, setLevel, setMetaData, setNodeId, setNodeInstanceContainer, setProcessInstance, setVariable, trigger, triggerConnection, triggerNode, triggerNode, triggerNodeInstance, triggerNodeInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AsyncEventNodeInstance

          public AsyncEventNodeInstance()

  - ### Method Detail

    - #### internalTrigger

          public void internalTrigger(org.kie.api.runtime.process.NodeInstance from,
                                      String type)

      Overrides:
        `internalTrigger` in class `EventNodeInstance`

    - #### getEventType

          public String getEventType()

      Overrides:
        `getEventType` in class `EventNodeInstance`

    - #### setEventType

          public void setEventType(String eventType)

    - #### getNode

          public org.kie.api.definition.process.Node getNode()

      Specified by:
        `getNode` in interface `org.kie.api.runtime.process.NodeInstance`
      Overrides:
        `getNode` in class `NodeInstanceImpl`

    - #### getFrom

          protected org.kie.api.runtime.process.NodeInstance getFrom()

      Overrides:
        `getFrom` in class `NodeInstanceImpl`

    - #### triggerCompleted

          public void triggerCompleted()

      Overrides:
        `triggerCompleted` in class `EventNodeInstance`

    - #### getEventListener

          protected org.kie.api.runtime.process.EventListener getEventListener()

      Overrides:
        `getEventListener` in class `EventNodeInstance`

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.